function init(hero) {
    hero.setName("Vulture");
    hero.setVersion ("MCU");
    hero.setTier(5);
    
    hero.setHelmet("Helmet");
    hero.setChestplate("Chestpiece");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    
    hero.addPowers("dlheroes:chitauri_tech_suit");
    hero.addAttribute("PUNCH_DAMAGE", 5.5, 0);
    hero.addAttribute("WEAPON_DAMAGE", 3.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 5.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.1, 1);
    hero.addAttribute("IMPACT_DAMAGE", 0.4, 1);

    hero.addKeyBind("SHIELD", "Wing Shield", 1);
    hero.addKeyBind("AIM", "Aim", 2);
    //hero.addKeyBind("AIM2", "Anti-Gravity Gun", 3);
    hero.addKeyBind("TELEKINESIS", "Anti-Gravity Gun", 3);
    hero.addKeyBind("INTANGIBILITY", "Intangibility", 4);
    
    hero.setModifierEnabled(isModifierEnabled);
    hero.setKeyBindEnabled(isKeyBindEnabled);
    hero.supplyFunction("canAim", canAim);
    hero.setHasProperty(hasProperty);
}

/*function isModifierEnabled(entity, modifier) {
    return modifier.name() != "fiskheroes:gliding" || !entity.getData("fiskheroes:shield");
}

function canAim(entity) {
    return entity.getHeldItem().isEmpty();
}*/



function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
    case "fiskheroes:telekinesis":
        return entity.getHeldItem().isEmpty();
    case "fiskheroes:energy_blast" :
        return entity.getData("fiskheroes:aimed_timer") >= 1 && entity.getHeldItem().isEmpty();
    default:
        return modifier.name() != "fiskheroes:gliding" || !entity.getData("fiskheroes:shield");
    }
}

/*function isKeyBindEnabled(entity, keyBind) {
    if (entity.getData("fiskheroes:telekinesis")) {
        return keyBind == "TELEKINESIS" || keyBind == "AIM";
    }
    return keyBind != "TELEKINESIS" && keyBind != "AIM" || entity.getHeldItem().isEmpty();
}*/

function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
    case "TELEKINESIS":
        return entity.getData("fiskheroes:aimed_timer") >= 1 && entity.getHeldItem().isEmpty();

    default:
        return keyBind != "TELEKINESIS" && keyBind != "AIM" || entity.getHeldItem().isEmpty();
    }
}



function canAim(entity) {
return entity.getHeldItem().isEmpty() || entity.getData("fiskheroes:grab_id") > -1;
}

function hasProperty(entity, property) {
    return property == "MASK_TOGGLE";
}